Business Third Party Partner Viewability Requests
Updated: May 8, 2025
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Retrieve all existing Viewability reports related to a business
Example
GET /v25.0/{business-id}/third_party_partner_viewability_requests HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
end_dsstring |
Required filter for daily request. The ending datestamp for a time range of reports. Return reports where start_ds <= ds <= end_ds.
|
end_tsdatetime/timestamp |
Required filter for hourly request. The ending unix timestamp for a time range of reports. Return reports where start_ts <= hour <= end_ts.
Example:
|
platformenum {AUDIENCE_NETWORK, FACEBOOK, INSTAGRAM} |
Optional filter on platform of the report.
From the set {AUDIENCE_NETWORK, FACEBOOK, INSTAGRAM, INVALID}.
Valid input example:
Invalid input example:
|
start_dsstring |
Required filter for daily request. The starting datestamp for a time range of reports. Return reports where start_ds <= ds <= end_ds.
|
start_tsdatetime/timestamp |
Required filter for hourly request. The staring unix timestamp for a time range of reports. Return reports where start_ts <= hour <= end_ts.
Example:
|
typeenum {DISPLAY_EVENT, IMPRESSION, VIDEO_EVENT} |
Optional filter on metrics type of the report.
From the set {DISPLAY_EVENT, IMPRESSION, INVALID, VIDEO_EVENT}.
Valid input example:
Invalid input example:
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of ThirdPartyPartnerViewabilityRequest nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
2500 | Error parsing graph query |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.